driver_register
Prev | Device Drivers Base | Next

## Name

driver_register — register driver with bus

## Synopsis

`int driver_register (` | struct device_driver * | drv`)`;

## Arguments

`drv`

  driver to register

## Description

We pass off most of the work to the `bus_add_driver` call, since most of the things we have to do deal with the bus structures.

Prev | Up | Next
put_driver | Home | driver_unregister